﻿@model PontosCulturais.ViewModels.CadastroPessoaFísicaViewModel

@await Html.PartialAsync("_Aviso", Model.Aviso)

<form asp-action="Finalizar" method="post" enctype="multipart/form-data" asp-antiforgery="true">
    <h3>Dados Pessoais</h3>

    <div class="form-group row">
        <div class="col-sm-4">
            <label for="cpf">CPF*:</label>
            <input type="text" class="form-control cpf" asp-for="Cadastro.CPF" />
            <small class="form-text text-muted">Somente números</small>
        </div>
        <div class="col-sm-8">
            <label for="nome">Nome Completo*:</label>
            <input type="text" class="form-control" asp-for="Cadastro.NomeCompleto" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>RG*:</label>
            <input type="text" class="form-control rg" asp-for="Cadastro.RG" />
        </div>

        <div class="col-sm-6">
            <label>Órgão Emissor e Estado*:</label>
            <input type="text" class="form-control" asp-for="Cadastro.ÓrgãoEstado"/>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label for="nascimento">Data de Nascimento*:</label>
            <input type="date" class="form-control" asp-for="Cadastro.Nascimento" />
        </div>
        <div class="col-sm-8">
            <label for="nomemae">Nome da Mãe*:</label>
            <input type="text" class="form-control" asp-for="Cadastro.NomeMãe" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label for="telefone1">Telefone 01*:</label>
            <input type="text" class="form-control telefone" asp-for="Cadastro.Telefone01" />
            <small class="form-text text-muted">Somente números</small>
        </div>

        <div class="col-sm-4">
            <label for="telefone2">Telefone 02:</label>
            <input type="text" class="form-control telefone" asp-for="Cadastro.Telefone02" />
            <small class="form-text text-muted">Somente números</small>
        </div>

        <div class="col-sm-4">
            <label for="nomesocial">Nome Social:</label>
            <input type="text" class="form-control" asp-for="Cadastro.NomeSocial" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label for="email">E-mail*:</label>
            <input type="email" class="form-control" asp-for="Cadastro.Email" />
        </div>
        <div class="col-sm-6">
            <label for="estado">País de Nascimento:</label>
            <input type="text" class="form-control" asp-for="Cadastro.PaísNascimento" />
            <small class="form-text text-muted">Caso seja estrangeiro</small>
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-6">
            <label for="endereco">Endereço*:</label>
            <input type="text" class="form-control" asp-for="Cadastro.Endereço" />
        </div>

        <div class="col-sm-3">
            <label for="complemento">Complemento:</label>
            <input type="text" class="form-control" asp-for="Cadastro.ComplementoEndereço" />
        </div>

        <div class="col-sm-3">
            <label for="bairro">Bairro*:</label>
            <input type="text" class="form-control" asp-for="Cadastro.Bairro" />
        </div>
    </div>

    <div class="form-group row">
        <div class="col-sm-4">
            <label for="genero">Gênero</label>
            <select class="form-control" asp-for="Cadastro.GêneroDeclaradoId" asp-items='new SelectList(Model.Gêneros, "Id", "Nome", Model.Cadastro.GêneroDeclaradoId)'></select>
        </div>

        <div class="col-sm-4">
            <label for="raca">Raça</label>
            <select class="form-control" asp-for="Cadastro.RaçaId" asp-items='new SelectList(Model.Raças, "Id", "Nome", Model.Cadastro.RaçaId)'></select>
        </div>

        <div class="col-sm-4">
            <label for="deficiencia">Deficiência</label>
            <select class="form-control" asp-for="Cadastro.DeficiênciaId" asp-items='new SelectList(Model.Deficiências, "Id", "Nome", Model.Cadastro.DeficiênciaId)'></select>
        </div>
    </div>

    <h3>Dados de Atuação</h3>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Comunidade Tradicional:</label>
            <select class="form-control" asp-for="Cadastro.ComunidadeTradicionalId" asp-items="new SelectList(Model.Comunidades, nameof(ComunidadeTradicionalModelo.Id), nameof(ComunidadeTradicionalModelo.Nome),
                    Model.Cadastro.ComunidadeTradicionalId)"></select>
        </div>

        <div class="col-sm-4">
            <label>Atuação Cultural:</label>
            <select class="form-control" asp-for="Cadastro.FunçãoCulturalId" asp-items="new SelectList(Model.FunçõesCulturais, nameof(FunçãoCulturalModelo.Id), nameof(FunçãoCulturalModelo.Nome),
                              Model.Cadastro.FunçãoCulturalId)"></select>
        </div>

        <div class="col-sm-4">
            <label>Vínculo Empregatício:</label>
            <select class="form-control" asp-for="Cadastro.SituaçãoTrabalhoId" asp-items="new SelectList(Model.SituaçõesTrabalho, nameof(SituaçãoTrabalhoModelo.Id), nameof(SituaçãoTrabalhoModelo.Nome),
                    Model.Cadastro.SituaçãoTrabalhoId)"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Segmento(s) Cultural(is)*:</label>
            <select class="form-control" asp-for="Cadastro.SegmentosCulturaisId" asp-items="new SelectList(Model.SegmentosCulturais, nameof(SegmentoCulturalModelo.Id), nameof(SegmentoCulturalModelo.Nome),
                                  Model.Cadastro.SegmentosCulturaisId)"></select>
        </div>
    </div>

    <div class="form-group row">
        <div class="col">
            <label>Descreva sua Atuação*:</label>
            <textarea class="form-control" rows="6" maxlength="1000" asp-for="Cadastro.Atuação"></textarea>
        </div>
    </div>

    <h3>Dados Bancários</h3>

    <div class="form-group row">
        <div class="col-sm-4">
            <label>Tipo de Conta</label>
            <select class="form-control" asp-for="Cadastro.TipoContaBancáriaId" asp-items="new SelectList(Model.TiposContasBancárias, nameof(TipoContaBancáriaModelo.Id), nameof(TipoContaBancáriaModelo.Nome),
                    Model.Cadastro.TipoContaBancáriaId)"></select>
        </div>

        <div class="col-sm-3">
            <label>Banco</label>
            <select class="form-control" asp-for="Cadastro.BancoId" asp-items="new SelectList(Model.Bancos, nameof(BancoModelo.Id), nameof(BancoModelo.Nome), Model.Cadastro.BancoId)"></select>
        </div>

        <div class="col-sm-2">
            <label>Agência</label>
            <input type="text" class="form-control" asp-for="Cadastro.Agência"/>
            <small>Somente Números</small>
        </div>

        <div class="col-sm-2">
            <label>Conta</label>
            <input type="text" class="form-control" asp-for="Cadastro.ContaBancária" />
            <small>Somente Númros</small>
        </div>

        <div class="col-sm-1">
            <label>Operação</label>
            <input type="text" class="form-control" asp-for="Cadastro.CódigoOperação" />
        </div>
    </div>

    <h3>Senha</h3>

    <div class="form-group row">
        <div class="col-sm-6">
            <label>Senha*:</label>
            <input type="password" class="form-control" asp-for="Cadastro.Senha" />
        </div>

        <div class="col-sm-6">
            <label>Confirmar Senha*:</label>
            <input type="password" class="form-control" asp-for="Cadastro.ConfirmarSenha" />
        </div>
    </div>

    <h3>Autorizações e Declarações</h3>

    <div class="form-group">
        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.CadastrarEspaçoCultural"> Irei cadastrar um espaço cultural.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.MulherProvedora"> Declaro que sou mulher e chefe de família monoparental com, no mínimo, 01 (um/uma)
            dependente menor de 18 (dezoito) anos.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoAtuaçãoCulturaAtualmente"> Declaro Atuação No Setor Cultural Como Fonte De Renda, Conforme Lei Nº 14.017, De
            29 De Junho De 2020, Que Dispõe Sobre Ações Emergenciais Destinadas Ao Setor Cultural A Serem Adotadas Durante O Estado De Calamidade Pública.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoAtuaçãoCulturaDoisAnos"> Declaro Que Atuo Social Ou Profissionalmente Nas Áreas Artística E Cultural
            Nos 24 (Vinte E Quatro) Meses Imediatamente Anteriores À 29 De Junho De 2020, Conforme Inciso I Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoNãoRecebeBenefício"> Declaro Que Não Sou Titular De Benefício Previdenciário Ou Assistencial Do
            Governo Federal, Exceto Do Programa Bolsa Família, Conforme Inciso Iii Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoÑãoRecebeSeguroDesemprego"> Declaro Que Não Estou Recebendo Benefício Do Seguro Desemprego Ou
            Programa De Transferência De Renda Federal, Conforme Inciso Iii Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoBaixaRenda"> Declaro Renda Familiar Per Capita De Até Meio Salário Mínimo Ou Renda Familiar
            Total De Até Três Salários Mínimos, Conforme Inciso Iv Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoRendimentoMédio"> Declaro Que Obtive Rendimento Médio De 01/01/2019 A 29/02/2020 De Até 2 (Dois)
            Salários Mínimos, Conforme Inciso Iv Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoBaixoRendimento2018"> Declaro Que No Ano De 2018, Não Recebi Rendimentos Acima De R$ 28.559,70 (Vinte
            E Oito Mil, Quinhentos E Cinquenta E Nove Reais E Setenta Centavos), Conforme Inciso V Do Art. 6º Da Lei Nº 14.017.
        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoNãoRecebeAuxílioEmergencial"> Declaro Não Ser Beneficiário(A) Do Auxílio Emergencial Previsto Na Lei Nº 13.982,
            De 2 De Abril De 2020, E Em Conformidade Com O Inciso Vii Do Art. 6º Da Lei Nº 14.017.

        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.DeclaraçãoVeracidadeDados"> Declaro, Ainda, Que Estou Ciente De Que, Em Caso De Utilização De Qualquer Meio
            Ilícito, Imoral Ou Declaração Falsa Para A Participação Deste Credenciamento, Incorro Nas Penalidades Previstas Nos Artigos 171 E 299 Do Decreto Lei Nº 2.848, De 07 De Dezembro De 1940 (Código Penal).

        </div>

        <div class="col form-check mb-3">
            <input type="checkbox" class="form-check-input" asp-for="Cadastro.AutorizaçãoCruzamentoDeDados"> Autorizo O Cruzamento Das Informações Com Outras Bases De Dados Oficiais.
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Próxima Etapa</button>
</form>


@section Scripts {
    <script src="~/js/jquery.mask.min.js"></script>
    <script src="~/js/mascaras.js"></script>
}
